/*
 * $Id: hostiovar.h,v 1.1 2008/08/08 13:18:16 nbrk Exp $
 */
#ifndef _DEV_ARM_CATS_HOSTIOVAR_H_
#define _DEV_ARM_CATS_HOSTIOVAR_H_
/*
 * bus_space glue.
 */
int	hostio_map(void *cookie, bus_addr_t addr, bus_size_t size, int flags, bus_space_handle_t *ioh);
uint8_t	hostio_read_1(void *cookie, bus_space_handle_t ioh, bus_size_t off);
uint16_t	hostio_read_2(void *cookie, bus_space_handle_t ioh, bus_size_t off);
uint32_t	hostio_read_4(void *cookie, bus_space_handle_t ioh, bus_size_t off);
void	hostio_write_1(void *cookie, bus_space_handle_t ioh, bus_size_t off, uint8_t data);
void	hostio_write_2(void *cookie, bus_space_handle_t ioh, bus_size_t off, uint16_t data);
void	hostio_write_4(void *cookie, bus_space_handle_t ioh, bus_size_t off, uint32_t data);

/*
 * Our tag.
 * One and only.
 */
struct bus_space hostio_bs_tag = {
	NULL, /* cookie */
	hostio_map,
	NULL, /* unmap */
	NULL, /* subregion */
	NULL, /* barrier */
	hostio_read_1,
	hostio_read_2,
	hostio_read_4,
	hostio_write_1,
	hostio_write_2,
	hostio_write_4,
};

struct hostio_softc {
	bus_space_tag_t	sc_iot;

};

#endif /* !_DEV_ARM_CATS_HOSTIOVAR_H_ */
